KUBERNETES(1)

NAME

kubeadm config upload from-file - Upload a configuration file to the in-cluster ConfigMap for kubeadm configuration.

SYNOPSIS

kubeadm config upload from-file [OPTIONS]

DESCRIPTION

Using this command, you can upload configuration to the ConfigMap in the cluster using the same config file you gave to 'kubeadm init'. If you initialized your cluster using a v1.7.x or lower kubeadm client and used the --config option, you need to run this command with the same config file before upgrading to v1.8 using 'kubeadm upgrade'.

The configuration is located in the "kube-system" namespace in the "kubeadm-config" ConfigMap.

OPTIONS

--config=""
    Path to a kubeadm configuration file.

OPTIONS INHERITED FROM PARENT COMMANDS

--azure-container-registry-config=""
    Path to the file containing Azure container registry configuration information.

--kubeconfig="/etc/kubernetes/admin.conf"
    The kubeconfig file to use when talking to the cluster. If the flag is not set, a set of standard locations can be searched for an existing kubeconfig file.

--log-flush-frequency=5s
    Maximum number of seconds between log flushes

--rootfs=""
    [EXPERIMENTAL] The path to the 'real' host root filesystem.

--version=false
    Print version information and quit

SEE ALSO

kubeadm-config-upload(1),

HISTORY

January 2015, Originally compiled by Eric Paris (eparis at redhat dot com) based on the kubernetes source material, but hopefully they have been automatically generated since!